> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List bot log pages

> Returns the paths of the site that AI bots requested in the period, with the request counts and status codes. Use `date_range` to select the period (`7g`, `1a`, `3a`, `6a`, `1y` or `custom` with `since` and `until`). The list is paged with `page` and `page_size`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/bot-logs/pages
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/bot-logs/pages:
    get:
      tags:
        - Bot logs
      summary: List bot log pages
      description: >-
        Returns the paths of the site that AI bots requested in the period, with
        the request counts and status codes. Use `date_range` to select the
        period (`7g`, `1a`, `3a`, `6a`, `1y` or `custom` with `since` and
        `until`). The list is paged with `page` and `page_size`.
      operationId: bot_log_pages
      parameters:
        - in: query
          name: date_range
          schema:
            enum:
              - 7g
              - 1a
              - 3a
              - 6a
              - 1y
              - custom
            type: string
            default: 1a
            minLength: 1
          description: |-
            * `7g` - 7g
            * `1a` - 1a
            * `3a` - 3a
            * `6a` - 6a
            * `1y` - 1y
            * `custom` - custom
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - in: query
          name: page_size
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
        - in: query
          name: since
          schema:
            type: string
            format: date
          description: The first day of a `custom` range.
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: until
          schema:
            type: string
            format: date
          description: The last day of a `custom` range.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Pages'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    Pages:
      type: object
      properties:
        rows:
          type: array
          items:
            $ref: '#/components/schemas/PageRow'
        total:
          type: integer
        page:
          type: integer
        page_size:
          type: integer
        total_pages:
          type: integer
        inventory_available:
          type: boolean
      required:
        - inventory_available
        - page
        - page_size
        - rows
        - total
        - total_pages
    PageRow:
      type: object
      properties:
        path:
          type: string
        hits:
          type: integer
        status_code:
          type: integer
          nullable: true
        last_seen:
          type: string
          format: date
          nullable: true
        known_page:
          type: boolean
      required:
        - hits
        - known_page
        - last_seen
        - path
        - status_code
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.